/*
 * vim: set sw=8 ts=8 si :
 * Author: Guido Socher, Copyright: GPL 
 * 
 *
 * Chip type           : ATMEGA8
 * Clock frequency     : Internal clock 1 Mhz (factory default)
 */
#include <avr/io.h>
#define F_CPU 1000000UL  // 1 MHz
#include <util/delay.h>
#include <stdlib.h> 
#include "avr_compat.h"
#include "lcd.h"

void delay_ms(unsigned int ms)
/* delay for a minimum of <ms> */
{
	// we use a calibrated macro. This is more
	// accurate and not so much compiler dependent
	// as self made code.
	while(ms){
		_delay_ms(0.96);
		ms--;
	}
}


int main(void)
{
	// compatibilty with old hardware where lcd rw pin was connected
	// to PB4:
	sbi(DDRB,PB4);
	cbi(PORTB,PB4);
	// LED is output line:
	sbi(DDRD,PD5);
	sbi(PORTD,PD5); // led off
	lcd_init(LCD_DISP_ON);
	lcd_puts_p(PSTR("=OK="));
	//
	while (1) {
		delay_ms(500);
		cbi(PORTD,PD5); // LED on
		delay_ms(500);
		sbi(PORTD,PD5); // led off
	}
	return(0); // avoid gcc warning
}

